{
  "accUserMode" : 2,
  "caption" : "测试实体实体表格导航视图(路由测试-非路由)",
  "codeName" : "TESTUsr2GridExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr2GridExpView.json",
  "name" : "TESTUsr2GridExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewNavParams" : [ {
    "key" : "expmode",
    "name" : "expmode",
    "value" : "NO_ROUTE",
    "rawValue" : true
  } ],
  "getPSDEViewCodeName" : "Usr2GridExpView",
  "getPSDEViewId" : "5749B625-0D6D-4B73-9A61-74A02CE06397",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr1008551598",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "Usr2GridExpViewDEGRIDEXPVIEW",
    "memo" : "表格导航视图",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "栅格容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "container_grid1",
        "getPSLayout" : {
          "layout" : "SIMPLEFLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container1",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 5,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "GRIDEXPBAR",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "gridexpbar",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "heightMode" : "FULL",
              "layout" : "TABLE_24COL"
            },
            "showCaption" : true
          } ]
        }, {
          "caption" : "面板容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "container8",
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "grow" : 7,
            "layout" : "SIMPLEFLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "导航区占位",
            "itemStyle" : "DEFAULT",
            "itemType" : "RAWITEM",
            "name" : "nav_pos1",
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "getPSRawItem" : {
              "name" : "nav_pos1",
              "getPSRawItemParams" : [ {
                "key" : "EXPCACHE",
                "value" : "DEFAULT"
              } ],
              "predefinedType" : "NAV_POS"
            },
            "showCaption" : true
          } ]
        } ],
        "predefinedType" : "CONTAINER_GRID"
      } ],
      "predefinedType" : "CONTAINER"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "6123C427-BB21-4DE9-AE68-A53703B2331E",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "GridExpView",
      "name" : "engine"
    } ],
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "newdata",
      "getPSAppUILogic" : {
        "actionAfterWizard" : "DEFAULT",
        "logicType" : "PREDEFINED",
        "name" : "新建数据",
        "viewLogicType" : "APP_NEWDATA",
        "batchAddOnly" : false,
        "enableBatchAdd" : false,
        "enableWizardAdd" : false
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    } ],
    "getPSControls" : [ {
      "codeName" : "Usr2GridExpViewgridexpbar",
      "controlType" : "GRIDEXPBAR",
      "name" : "gridexpbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSAppViewRefs" : [ {
        "name" : "EXPITEM:DEFAULT",
        "realTitle" : "测试实体编辑视图",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr6EditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "gridexpbar"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "GRIDEXPBAR"
      },
      "getPSControls" : [ {
        "aggMode" : "NONE",
        "codeName" : "ExpGrid_4586",
        "columnEnableFilter" : 2,
        "columnEnableLink" : 2,
        "controlType" : "GRID",
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/ExpGrid_4586.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "groupMode" : "NONE",
        "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
        "logicName" : "导航表格_1620",
        "getNavPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr6EditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionName" : "GetDraft",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "loaddraft",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "GetDraft"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "FetchDefault"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "数据表格处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "SELECTIONCHANGE",
          "logicTag" : "gridexpbar_grid",
          "logicType" : "CUSTOM",
          "name" : "gridexpbar_selectionchange"
        }, {
          "eventNames" : "LOAD",
          "logicTag" : "gridexpbar_grid",
          "logicType" : "CUSTOM",
          "name" : "gridexpbar_load"
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "id" : "gridexpbar_grid"
        },
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "DataImport"
        },
        "getPSDEGridColumns" : [ {
          "align" : "LEFT",
          "cLConvertMode" : "NONE",
          "caption" : "名称",
          "codeName" : "testname",
          "columnType" : "DEFGRIDCOLUMN",
          "dataItemName" : "testname",
          "excelCaption" : "名称",
          "name" : "testname",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "width" : 150,
          "widthUnit" : "PX",
          "enableSort" : true
        } ],
        "getPSDEGridDataItems" : [ {
          "dataType" : 25,
          "name" : "testname",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          }
        }, {
          "dataType" : 25,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          }
        }, {
          "dataType" : 25,
          "name" : "srfdataaccaction",
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          },
          "dataAccessAction" : true
        }, {
          "dataType" : 25,
          "name" : "srfmajortext",
          "getPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          }
        } ],
        "getPSDEGridEditItems" : [ {
          "caption" : "测试实体标识",
          "codeName" : "srfkey",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "name" : "srfkey",
          "getPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "srfkey"
          },
          "allowEmpty" : true
        } ],
        "pagingSize" : 20,
        "getRemovePSControlAction" : {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          }
        },
        "sortMode" : "REMOTE",
        "hasWFDataItems" : false,
        "enableColFilter" : false,
        "enableCustomized" : true,
        "enableGroup" : false,
        "enablePagingBar" : true,
        "enableRowEdit" : false,
        "enableRowEditOrder" : false,
        "enableRowNew" : false,
        "forceFit" : false,
        "hideHeader" : false,
        "noSort" : false,
        "singleSelect" : false,
        "name" : "gridexpbar_grid",
        "modelid" : "337FF476-7FFA-43B3-AC46-B633E807E6C5",
        "modeltype" : "PSDEGRID"
      } ],
      "xDataControlName" : "gridexpbar_grid",
      "enableCounter" : true,
      "enableSearch" : false,
      "showTitleBar" : true,
      "modelid" : "a03e0fe98aff117e34112ca4658821c3_gridexpbar",
      "modeltype" : "PSEXPBAR"
    }, {
      "controlType" : "SEARCHBAR",
      "name" : "searchbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 1,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false
    }, {
      "caption" : "测试实体实体表格导航视图(路由测试-非路由)",
      "codeName" : "Usr2GridExpViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "sideBarLayout" : "LEFT",
  "title" : "测试实体实体表格导航视图(路由测试-非路由)",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "a03e0fe98aff117e34112ca4658821c3",
  "modeltype" : "PSAPPDEVIEW"
}